Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.udo.cs.miningmart.m4
Interface Key

All Superinterfaces:
  M4Data, M4Object

All Known Subinterfaces:
  ForeignKey, PrimaryKey

All Known Implementing Classes:
  ForeignKey, Key, PrimaryKey

public interface Key
extends M4Data

Version:
  $Id: Key.java,v 1.3 2006/04/11 14:10:12 euler Exp $
Author:
  Timm Euler

Method Summary
`Columnset` | `getForeignKeyColumnset()`
`Columnset` | `getPrimaryKeyColumnset()`
`void` | `setForeignKeyColumnset(Columnset fkCs)`
`void` | `setPrimaryKeyColumnset(Columnset pkCs)`

Methods inherited from interface edu.udo.cs.miningmart.m4.M4Data
`deleteSoon, getDocumentation, getValidName, isDirty, isWaitingForDelete, setDocumentation`

Methods inherited from interface edu.udo.cs.miningmart.m4.M4Object
`doPrint, doPrint, equals, executeBusinessSingleValueSqlRead, executeBusinessSingleValueSqlReadL, executeBusinessSqlRead, executeBusinessSqlWrite, executeM4SingleValueSqlRead, executeM4SingleValueSqlReadL, executeM4SqlRead, executeM4SqlWrite, getCasePrintObject, getId, getM4Db, getM4ObjectFromCache, getName, getNextM4SequenceValue, isNew, load, print, putM4ObjectToCache, replaceSpacesInName, setId, setName`

Method Detail

### setPrimaryKeyColumnset

    public void setPrimaryKeyColumnset(Columnset pkCs)
                                throws M4Exception

  Throws:
    `M4Exception`

### setForeignKeyColumnset

    public void setForeignKeyColumnset(Columnset fkCs)
                                throws M4Exception

  Throws:
    `M4Exception`

### getPrimaryKeyColumnset

    public Columnset getPrimaryKeyColumnset()
                                     throws M4Exception

  Throws:
    `M4Exception`

### getForeignKeyColumnset

    public Columnset getForeignKeyColumnset()
                                     throws M4Exception

  Throws:
    `M4Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005